#ifndef F_CPU
  #define F_CPU 16000000L
#endif

#ifndef MCU
  #define MCU atmega168
#endif

#include <util/delay.h>
#include <avr/io.h>


void warte10ms(int faktor)
{
 for (int i=faktor; i>0; i--)
 {
  _delay_ms(10);
  }

 }

int main()
{
  DDRD=0xFF;
  DDRB=0x3F;

  while(1)
  {
    for (int i=0; i<=13; i++)
    {
      PORTB |= (1 << i);
      PORTD |= (1 << i) >> 6; // so klappt das
      warte10ms(3);
    }

    warte10ms(5);

    for(int i=0; i<=13; i++)
    {
      PORTB &= ~(1 << i);
      PORTD &= ~(1 << i) >> 6;
      warte10ms(3);
    }

    warte10ms(50);
  }

  return 0;
}



